To install Ella CMS, make sure you have Python 2.5 or greater installed.

Then run this command from the command prompt:

    python setup.py install

Or install latest Ella CMS from PyPi:

    pip install ella

This installs all Ella dependencies, except binary packages such as PIL
and database driver of your choice.


For development, we recommend use virtualenv (and wrapper) like this:

    $ git clone git://github.com/ella/ella.git
    $ cd ella
    $ mkvirtualenv ella
    $ pip install -r requirements/base.txt -r requirements/with-markup.txt \
      -r requirements/with-comments.txt -r requirements/testing.txt


Then you can test this installation:

    $ ./tests/unit_project/run_tests.py


And start playing with example project:

    $ cd tests/example_project
    $ ./manage.py syncdb
    $ ./manage.py runserver

